bcr_test_module:
  module_path: ""
  matrix:
    platform:
      - debian10
      - ubuntu2004
      - macos
    bazel: [7.x, 8.x]
  tasks:
    run_tests:
      name: "Run smoke tests"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
        - "//tests/smoke:emit_simple_adder"
        - "//tests/smoke:merged_sv"
      test_targets:
        - "//tests/smoke:simple_adder_test"
        - "//tests/smoke:verilog_concat_test"
